Loading...
Searching...
No Matches
key_in6 Struct Reference

Bundle IPv6 address and port as a hash key. More...

## Public Attributes

struct in6_addr | addr
in_port_t const | port
uint16_t const | padding

## Detailed Description

Bundle IPv6 address and port as a hash key.

A `padding` member is added to allow the padding bytes to be initialized to zero in a designated initializer, e.g.:

struct key_in6 key = {
.addr = { .s6_addr = { [0] = 0x20,
[1] = 0x01,
[2] = 0x0D,
[3] = 0xB8,
[14] = 0x01,
[15] = 0x02 } },
.port = 0x4321
};
The goal is to avoid hashing uninitialized bytes in the hash key.
key_in6
Bundle IPv6 address and port as a hash key.
Definition listener_manager.c:118

The documentation for this struct was generated from the following file:

- lib/listener_manager.c